ampxi.h
Go to the documentation of this file.
/**
* @file ampxi.h
* @brief AMPXI service. This is normally not accessible to userland apps. https://3dbrew.org/wiki/Application_Manager_Services_PXI
*/
#pragma once
/**
* @brief Initializes AMPXI.
* @param servhandle Optional service session handle to use for AMPXI, if zero srvGetServiceHandle() will be used.
*/
Result ampxiInit(Handle servhandle);
/// Exits AMPXI.
void ampxiExit(void);
/**
* @brief Writes a TWL save-file to NAND. https://www.3dbrew.org/wiki/AMPXI:WriteTWLSavedata
* @param titleid ID of the TWL title.
* @param buffer Savedata buffer ptr.
* @param size Size of the savedata buffer.
* @param image_filepos Filepos to use for writing the data to the NAND savedata file.
* @param section_type https://www.3dbrew.org/wiki/AMPXI:WriteTWLSavedata
* @param operation https://3dbrew.org/wiki/AM:ImportDSiWare
*/
Result AMPXI_WriteTWLSavedata(u64 titleid, u8 *buffer, u32 size, u32 image_filepos, u8 section_type, u8 operation);
/**
* @brief Finalizes title installation. https://3dbrew.org/wiki/AMPXI:InstallTitlesFinish
* @param mediaType Mediatype of the titles to finalize.
* @param db Which title database to use.
* @param size Size of the savedata buffer.
* @param titlecount Total titles.
* @param tidlist List of titleIDs.
*/
Result AMPXI_InstallTitlesFinish(FS_MediaType mediaType, u8 db, u32 titlecount, u64 *tidlist);
ampxiExit
void ampxiExit(void)
Exits AMPXI.
AMPXI_WriteTWLSavedata
Result AMPXI_WriteTWLSavedata(u64 titleid, u8 *buffer, u32 size, u32 image_filepos, u8 section_type, u8 operation)
Writes a TWL save-file to NAND.
AMPXI_InstallTitlesFinish
Result AMPXI_InstallTitlesFinish(FS_MediaType mediaType, u8 db, u32 titlecount, u64 *tidlist)
Finalizes title installation.
ampxiInit
Result ampxiInit(Handle servhandle)
Initializes AMPXI.
FS_MediaType
FS_MediaType
Media types.
Definition: fs.h:35
u64
uint64_t u64
64-bit unsigned integer
Definition: types.h:24
u8
uint8_t u8
would be nice if newlib had this already
Definition: types.h:21
Handle
u32 Handle
Resource handle.
Definition: types.h:41
Result
s32 Result
Function result.
Definition: types.h:42
u32
uint32_t u32
32-bit unsigned integer
Definition: types.h:23